Author Topic: vlax-invoke intersectwith  (Read 373 times)

0 Members and 1 Guest are viewing this topic.

XXL66

  • Newt
  • Posts: 99
vlax-invoke intersectwith
« on: October 24, 2018, 06:44:10 AM »
Hi,

This method doesn't seem to work for a 2D polyline and 3D lines crossing it. Unless i'm missing something..
Is the only option to temporary move the 3D lines into 2D?


thx


ribarm

  • Water Moccasin
  • Posts: 2123
  • Marko Ribar, architect
Re: vlax-invoke intersectwith
« Reply #1 on: October 24, 2018, 07:57:58 AM »
It works on my AutoCAD...

Code: [Select]
Command: (vlax-invoke (vlax-ename->vla-object (car (entsel))) 'intersectwith (vlax-ename->vla-object (car (entsel))) acextendnone)

Select object:
Select object: (20.8522 15.2867 0.0)

In attachment - DWG for testing...
Marko Ribar, d.i.a. (graduated engineer of architecture)

:)

M.R. on Youtube

XXL66

  • Newt
  • Posts: 99
Re: vlax-invoke intersectwith
« Reply #2 on: October 24, 2018, 11:49:43 AM »
ok, don't know what happened here, but it works indeed with this example, must have missed something.

thx!